module.directive('fsrSpinner', ['$timeout', 'iconService', function ($timeout, iconService) {
	return {
        restrict: 'E',
        replace: false,
        templateUrl: './templates/directives/fsr-spinner.html',
        scope:{},
        link: function (scope, element, attrs) {
            //parse attrs
            if(attrs.showTheater)scope.showTheater = true;

            //set default
            scope.logo = iconService.currentAd ? iconService.currentAd.loading_image_path : null;


            //Events
            scope.$on('icon-changed', function () {
                scope.logo = iconService.currentAd ? iconService.currentAd.loading_image_path : null;
            });
        }
    };
}]);