module.directive('fsrToggle', ['$timeout', function ($timeout) {
	return {
        restrict: 'E',
        replace: false,
        templateUrl: './templates/directives/fsr-toggle.html',
        scope: {
        	options: '=', ngModelProperty: '='
        },
        controller: ['$scope', 'socialService', function ($scope, socialService) {
            $scope.uuid = "id-" + Math.random().toString(36).substr(2, 16);
            $scope.select = function (option) {
                angular.forEach($scope.options, function (value, index) {
                    value.selected = false;
                });
                option.selected = true;
                $scope.ngModelProperty = option.id;
            };
        }],
        link: function (scope, element, attrs) {
        }
    };
}]);