module.directive('fsrUssaClubPhoto', ['$timeout',function ($timeout) {
    return {
        restrict: 'E',
        replace: false,
        template:'<img ng-src="{{path}}" class="ussa-photo"></span>',
        scope:{
            club:'='
        },
        link:function(scope,element,attrs){
            if (scope.club) {
                scope.path = scope.club.image_path ? scope.club.image_path : 'https://s3.amazonaws.com/fantasyskiracer/official-ussa-logo-small.png';
            } else {
                scope.path = 'https://s3.amazonaws.com/fantasyskiracer/official-ussa-logo-small.png';
            }
        }
    };
}]);