filters.filter('fsrBigNumber', function () {
	return function (number) {
		if (number != undefined) {
			var abs = Math.abs(number);
			if (abs >= Math.pow(10, 14)) {
				number = (number / Math.pow(10, 12)).toFixed(0) + "t";
			}
			else if (abs >= Math.pow(10, 12)) {
				number = (number / Math.pow(10, 12)).toFixed(1) + "t";
			}
			else if (abs >= Math.pow(10, 11)) {
				number = (number / Math.pow(10, 9)).toFixed(0) + "b";
			}
			else if (abs >= Math.pow(10, 9)) {
				number = (number / Math.pow(10, 9)).toFixed(1) + "b";
			}
			else if (abs >= Math.pow(10, 8)) {
				number = (number / Math.pow(10, 6)).toFixed(0) + "m";
			}
			else if (abs >= Math.pow(10, 6)) {
				number = (number / Math.pow(10, 6)).toFixed(1) + "m";
			}
			else if (abs >= Math.pow(10, 5)) {
				number = (number / Math.pow(10, 3)).toFixed(0) + "k";
			}
			else if (abs >= Math.pow(10, 3)) {
				number = (number / Math.pow(10, 3)).toFixed(1) + "k";
			}
			// this would strip the trailing 0 for N.0, e.g. - 85.0k -> 85k, 1.0m -> 1m
			/*
			var strNumber = number.toString();
			if (strNumber.indexOf(".") > -1 && strNumber.substr(strNumber.length - 2, 1) == "0") {
				return strNumber.substr(0, strNumber.length - 3) + strNumber.substr(strNumber.length - 1, 1);
			}
			*/
			return number;
		}
	};
});
