services.factory('facebookService', ['$rootScope', '$http', '$resource', '$q', '$storage', 'appSettings', function ($rootScope, $http, $resource, $q, $storage, appSettings) {
    var
    //----Private----
    _getFriends = function (onSuccess, onError) {
        facebookConnectPlugin.api('/me/friends',['user_friends'],function success(resp){
        	return onSuccess(resp.data);
        }, function error(err){
        	return onError(err);
        })

    }

    //----------------

    //----Public----
    return {
        getFriends:_getFriends
    };
    //-------------
}]);
