services.factory('socialService', ['$rootScope', '$http', '$resource', '$q', '$storage', 'appSettings', function ($rootScope, $http, $resource, $q, $storage, appSettings) {

	//----Private----
	var
        _follow = $resource(appSettings.serviceBase + '/api/social/following/:id', { id: '@id' }, {
        	'search': { method: 'GET', url: appSettings.serviceBase + '/api/social/search', isArray: true },
        	'getFollowing': { method: 'GET', url: appSettings.serviceBase + '/api/social/following/:type', params: { type: '@type' }, isArray: true },
        	'getFollowers': { method: 'GET', url: appSettings.serviceBase + '/api/social/followers', isArray: true },
        	'follow': { method: 'GET', url: appSettings.serviceBase + '/api/social/follow/:id', params: {id : '@id'} },
        	'unfollow': { method: 'GET', url: appSettings.serviceBase + '/api/social/unfollow/:id', params: { id: '@id' } }
        }),
        _facebookFriends = $resource(appSettings.serviceBase + '/api/social/facebookfriends', { id: '@id' }, {
            'search': { method: 'POST',  isArray: true }
        });
	//----------------

	//----Public----
	return {
		Follow: _follow,
        facebookFriends:_facebookFriends
	};
	//-------------
}]);
